/*****************************************
 * Defines for  ISVGA256.BGI   driver    *
 *        Thomas Design                  *
 *        August 31, 1991                *
 * Vers 2.2                              *
 *****************************************/

#define  STD320x200    0        /* standard vga 320x200 by 256 */
#define  VESA640x400   1        /* VESA vga modes */
#define  VESA640x480   2
#define  VESA800x600   3
#define  VESA1024x768  4
#define  VESA1280x1024 5

#define  ATI320x200    6        /* ATI VGA graphics modes */
#define  ATI640x400    7
#define  ATI640x480    8
#define  ATI800x600    9

#define  DVGA320x200   0x0a     /* Orchid ProDesigner Plus */
#define  DVGA640x350   0x0b     /* (Tseng Labs 3000 chipset) */
#define  DVGA640x480   0x0c
#define  DVGA800x600   0x0d

#define  PVGA320x200   0x0e     /* Paradise (Western Digital) */
#define  PVGA640x400   0x0f
#define  PVGA640x480   0x10

#define  TEC320x200    0x11     /* Tecmar */
#define  TEC640x350    0x12
#define  TEC640x400    0x13
#define  TEC640x480    0x14
#define  TEC800x600    0x15

#define  VID320x200    0x16     /* Video 7 (Headland Technologies) */
#define  VID640x400    0x17
#define  VID640x480    0x18
#define  VID720x540    0x19
#define  VID800x600    0x1a

#define  TRID320x200   0x1b     /* Trident chipsets */
#define  TRID640x400   0x1c
#define  TRID640x480   0x1d
#define  TRID800x600   0x1e

#define  CHIP320x200   0x1f     /* Chips and Tech chipset */
#define  CHIP640x400   0x20
#define  CHIP640x480   0x21
#define  CHIP800x600   0x22

#define  AHDA320x200   0x23     /* Ahead Systems VGA wizard deluxe (Rev A) */
#define  AHDA640x400   0x24
#define  AHDA640x480   0x25
#define  AHDA800x600   0x26

#define  AHDB320x200   0x27     /* Ahead Systems VGA wizard deluxe (Rev B) */
#define  AHDB640x400   0x28
#define  AHDB640x480   0x29
#define  AHDB800x600   0x2a
#define  AHDB1024x768  0x2b

#define  EVRX320x200   0x2c     /* Everex */
#define  EVRX640x400   0x2d
#define  EVRX640x480   0x2e
#define  EVRX800x600   0x2f

#define  OAK320x200    0x30     /* Oak Technology */
#define  OAK640x480    0x31
#define  OAK800x600    0x32

#define  TSG320x200    0x33     /* Orchid ProDesigner Plus II */
#define  TSG640x400    0x34     /* (Tseng Labs 4000 chipset) */
#define  TSG640x480    0x35
#define  TSG800x600    0x36
#define  TSG1024x768   0x37

#define  GEN320x200    0x38     /* Genoa GVGA */
#define  GEN640x400    0x39
#define  GEN640x480    0x3a
#define  GEN800x600    0x3b

void               _Cdecl ISVGA256_driver(void);
extern int far     _Cdecl ISVGA256_driver_far[];
